<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ym.mec.education.mapper.GoodsOrderMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.ym.mec.education.entity.GoodsOrder">
        <id column="id_" property="id" />
        <result column="user_id_" property="userId" />
        <result column="status_" property="status" />
        <result column="total_amount_" property="totalAmount" />
        <result column="coupon_amount_" property="couponAmount" />
        <result column="goods_quantity_" property="goodsQuantity" />
        <result column="user_note_" property="userNote" />
        <result column="order_no_" property="orderNo" />
        <result column="order_source_" property="orderSource" />
        <result column="receiver_id_" property="receiverId" />
        <result column="express_company_code_" property="expressCompanyCode" />
        <result column="express_num_" property="expressNum" />
        <result column="create_time_" property="createTime" />
        <result column="update_time_" property="updateTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id_, user_id_, status_, total_amount_, coupon_amount_, goods_quantity_, user_note_, order_no_, order_source_, receiver_id_, express_company_code_, express_num_, create_time_, update_time_
    </sql>

</mapper>
